
print("\nSome demo range statements\n")

print("Print a range(6) ")
for x in range(6):
  print(x)
else:
  print("Finally finished!")

print("\n\nPrint a range(0, 3) ")
for x in range(0, 3):
    print("Value of x = {:d}".format(x) )


print("\n\nPrint a range(45, 55) ")
for x in range(45, 55):
    print("Value of x = {:d}".format(x) )


print("\n\nPrint a range(2, 30, 4) ")
for x in range(2, 30, 4):
  print(x)

print("\n\nPrint a range(1, 11, 2) ")
for x in range(1, 11, 2):
  print(x)
